<!DOCTYPE html>
<html>
  <head>
    <title>UDPipe Standalone GUI</title>
    <meta charset="utf-8">

    <script src="https://code.jquery.com/jquery-3.4.1.js" type="text/javascript"></script>

    <link rel="stylesheet" href="https://unpkg.com/material-components-web@latest/dist/material-components-web.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link href="https://fonts.googleapis.com/css?family=Noto+Sans&display=swap" rel="stylesheet">
    <script src="https://unpkg.com/material-components-web@latest/dist/material-components-web.min.js"></script>
  </head>

  <body>

    <div id="language_selector" class="mdc-select mdc-select--with-leading-icon" data-mdc-auto-init="MDCSelect">
      <div class="mdc-select__anchor" style="width: 100%">
        <i class="mdc-select__dropdown-icon"></i>
        <i class="material-icons mdc-select__icon">language</i>
        <div class="mdc-select__selected-text"></div>
        <span class="mdc-floating-label">Select a Language</span>
        <div class="mdc-line-ripple"></div>
      </div>

      <div class="mdc-select__menu mdc-menu mdc-menu-surface">
        <ul class="mdc-list">
          <li class="mdc-list-item mdc-list-item--selected" data-value="" aria-selected="true"></li>
          <li class="mdc-list-item" data-value="af">Afrikaans</li>
          <li class="mdc-list-item" data-value="grc">Ancient Greek</li>
          <li class="mdc-list-item" data-value="ar">Arabic</li>
          <li class="mdc-list-item" data-value="hy">Armenian</li>
          <li class="mdc-list-item" data-value="eu">Basque</li>
          <li class="mdc-list-item" data-value="be">Belarusian</li>
          <li class="mdc-list-item" data-value="bg">Bulgarian</li>
          <li class="mdc-list-item" data-value="ca">Catalan</li>
          <li class="mdc-list-item" data-value="zh">Chinese</li>
          <li class="mdc-list-item" data-value="lzh">Classical Chinese</li>
          <li class="mdc-list-item" data-value="cop">Coptic</li>
          <li class="mdc-list-item" data-value="hr">Croatian</li>
          <li class="mdc-list-item" data-value="cs">Czech</li>
          <li class="mdc-list-item" data-value="da">Danish</li>
          <li class="mdc-list-item" data-value="nl">Dutch</li>
          <li class="mdc-list-item" data-value="en">English</li>
          <li class="mdc-list-item" data-value="et">Estonian</li>
          <li class="mdc-list-item" data-value="fi">Finnish</li>
          <li class="mdc-list-item" data-value="fr">French</li>
          <li class="mdc-list-item" data-value="gl">Galician</li>
          <li class="mdc-list-item" data-value="de">German</li>
          <li class="mdc-list-item" data-value="got">Gothic</li>
          <li class="mdc-list-item" data-value="el">Greek</li>
          <li class="mdc-list-item" data-value="he">Hebrew</li>
          <li class="mdc-list-item" data-value="hi">Hindi</li>
          <li class="mdc-list-item" data-value="hu">Hungarian</li>
          <li class="mdc-list-item" data-value="id">Indonesian</li>
          <li class="mdc-list-item" data-value="ga">Irish</li>
          <li class="mdc-list-item" data-value="it">Italian</li>
          <li class="mdc-list-item" data-value="ja">Japanese</li>
          <li class="mdc-list-item" data-value="ko">Korean</li>
          <li class="mdc-list-item" data-value="la">Latin</li>
          <li class="mdc-list-item" data-value="lv">Latvian</li>
          <li class="mdc-list-item" data-value="lt">Lithuanian</li>
          <li class="mdc-list-item" data-value="mt">Maltese</li>
          <li class="mdc-list-item" data-value="mr">Marathi</li>
          <li class="mdc-list-item" data-value="se">North Sami</li>
          <li class="mdc-list-item" data-value="nb">Norwegian Bokmaal</li>
          <li class="mdc-list-item" data-value="nn">Norwegian Nynorsk</li>
          <li class="mdc-list-item" data-value="cu">Old Church Slavonic</li>
          <li class="mdc-list-item" data-value="fro">Old French</li>
          <li class="mdc-list-item" data-value="orv">Old Russian</li>
          <li class="mdc-list-item" data-value="fa">Persian</li>
          <li class="mdc-list-item" data-value="pl">Polish</li>
          <li class="mdc-list-item" data-value="pt">Portuguese</li>
          <li class="mdc-list-item" data-value="ro">Romanian</li>
          <li class="mdc-list-item" data-value="ru">Russian</li>
          <li class="mdc-list-item" data-value="sr">Serbian</li>
          <li class="mdc-list-item" data-value="sk">Slovak</li>
          <li class="mdc-list-item" data-value="sl">Slovenian</li>
          <li class="mdc-list-item" data-value="es">Spanish</li>
          <li class="mdc-list-item" data-value="sv">Swedish</li>
          <li class="mdc-list-item" data-value="ta">Tamil</li>
          <li class="mdc-list-item" data-value="te">Telugu</li>
          <li class="mdc-list-item" data-value="tr">Turkish</li>
          <li class="mdc-list-item" data-value="uk">Ukrainian</li>
          <li class="mdc-list-item" data-value="ur">Urdu</li>
          <li class="mdc-list-item" data-value="ug">Uyghur</li>
          <li class="mdc-list-item" data-value="vi">Vietnamese</li>
          <li class="mdc-list-item" data-value="wo">Wolof</li>
        </ul>
      </div>
    </div>

    <iframe src="index.html" width="100%" height="500px" scrolling="auto" frameborder="0" id="service_frame"></iframe>

<script type="text/javascript"><!--
  mdc.autoInit();

  const language_selector = document.getElementById("language_selector").MDCSelect;
  language_selector.listen('MDCSelect:change', function() {
    jQuery("#service_frame")[0].contentWindow.postMessage(
        JSON.stringify({StyleCss:"", ServiceUrl:"/dev/rest/processText/srv-udpipe-" + language_selector.value}), window.location.origin);
  });
--></script>
  </body>
</html>
